import axios from 'axios';
// import { MessageBox } from 'element-ui';
const MyAxios = {};
MyAxios.install = function(Vue) {
  axios.defaults.baseURL = '/api';
  // axios.defaults.baseURL = 'http://222.35.31.66:18080/';
  // axios.defaults.headers.common['app_id'] = 'RGZYQD'
  axios.interceptors.request.use(function (config) {
    // Do something before request is sent
    if(config.url.toLocaleLowerCase() !== 'login') {

      const token = sessionStorage.getItem('token');

      config.headers.Authorization = 'Bearer ' + token;

      // config.headers['Basic'] = 'dGVzdDoxMjM0NTY='
    }
    return config;
  }, function (error) {
    // Do something with request error
    return Promise.reject(error);
  });

  // Add a response interceptor
  axios.interceptors.response.use(function (response) {
    // Do something with response data
    return response;
  }, function (error) {
    // Do something with response error
    if(error.response.status == 403) {
      // MessageBox.alert('登录信息超时，请重新登录！','登录超时', {
      //   confirmButtonText: '跳转登录页面',
      //   callback: action => {
          // window.location.href = '/errorone';
      //   }
      // })
    }
    return Promise.reject(error);
  });

  Vue.prototype.$http = axios;
}

export default MyAxios;
